Bug 983356 - Review Request: pelican - Static site generator that supports Markdown and reST syntax.
Review Request: pelican - Static site generator that supports Markdown and re...
Status: CLOSED DUPLICATE of bug 1059164
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Christopher Meng
Fedora Extras Quality Assurance
:
: 906161 (view as bug list)
Depends On: 906160
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-11 00:52 EDT by Marcelo Barbosa "firemanxbr"
Modified: 2014-01-29 06:30 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-22 00:32:47 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
i: fedora‑review?


Attachments (Terms of Use)

  None (edit)
Description Marcelo Barbosa "firemanxbr" 2013-07-11 00:52:31 EDT
URL SPEC: http://firemanxbr.fedorapeople.org/pelican/pelican.spec
URL SRPM: http://firemanxbr.fedorapeople.org/pelican/pelican-3.2.2-1.fc19.src.rpm
Scratch Build: http://koji.fedoraproject.org/koji/taskinfo?taskID=5593245

Description: 
Pelican is a static site generator, written in Python.

 * Write your weblog entries directly with your editor 
   of choice (vim!) in reStructuredText or Markdown.
 * Includes a simple CLI tool to (re)generate the weblog.
 * Easy to interface with DVCSes and web hooks.
 * Completely static output is easy to host anywhere.

Fedora Account System Username: firemanxbr
Comment 1 Christopher Meng 2013-07-11 01:10:13 EDT
Pelican is a nice software, really.

1. Please remove the dot at the end of summary tag.(rpmlint)

2. What are these zero-length file? 

/usr/lib/python2.7/site-packages/pelican/tests/output/basic/tags.html
/usr/lib/python2.7/site-packages/pelican/themes/notmyidea/templates/authors.html
/usr/lib/python2.7/site-packages/pelican/themes/simple/templates/tag.html
/usr/lib/python2.7/site-packages/pelican/tests/output/custom/tags.html
/usr/lib/python2.7/site-packages/pelican/themes/simple/templates/tags.html


3. env found in

/usr/lib/python2.7/site-packages/pelican/tools/templates/pelicanconf.py.in
/usr/lib/python2.7/site-packages/pelican/tools/pelican_import.py
/usr/lib/python2.7/site-packages/pelican/tools/pelican_themes.py
/usr/lib/python2.7/site-packages/pelican/tools/pelican_quickstart.py

If they are executable, why their permissions are 644? I think there must be some issues, and this must be fixed.
Comment 2 Christopher Meng 2013-07-11 01:17:49 EDT
*** Bug 906161 has been marked as a duplicate of this bug. ***
Comment 3 Eduardo Echeverria 2013-07-11 01:32:44 EDT
Where are the requires?, pelican needs 
['feedgenerator >= 1.6', 
'jinja2 >= 2.6', 
'pygments', 
'docutils',
'pytz', 
'blinker', 
'unidecode', 
'six']

Pelican requires ['feedgenerator >= 1.6'], feedgenerator is part of django, so is a bundled library 

See https://bugzilla.redhat.com/show_bug.cgi?id=906160#c1
and see https://fedorahosted.org/fpc/ticket/248

if you want patch the code for to do this package dependent of django, you can it, but at this moment this package isn't elegible to enter at Fedora
Comment 4 Eduardo Echeverria 2013-07-11 01:35:33 EDT
Btw, never close or to doing duplicate any review, without asking to the previous packager.
Comment 5 Eduardo Echeverria 2013-07-11 14:21:11 EDT
I'll to ask at the django project by if they want to ship feedgenerator separately, I think that there are much possibilities of if they have a negative response, fpc can give us a bless for package python-feedgenerator due at that is a fork
Comment 6 Eduardo Echeverria 2013-07-11 14:43:44 EDT
Done, https://code.djangoproject.com/ticket/20737
depends of response, we will to ask to the fpc
Comment 7 Marcelo Barbosa "firemanxbr" 2013-07-11 23:15:45 EDT
@Christopher,

   Thank you for your report, i changed all topics, but pelicanconf.py.in is config file no exec/binary file.

@Eduardo,

   Thank you for good work, i changed all requires, but "six" is not more necessary to in latest version: http://docs.getpelican.com/en/3.2/getting_started.html#dependencies


URL SPEC: http://firemanxbr.fedorapeople.org/pelican/pelican.spec
URL SRPM: http://firemanxbr.fedorapeople.org/pelican/pelican-3.2.2-2.fc19.src.rpm


Marcelo Barbosa (firemanxbr)
Comment 8 Matthias Runge 2014-01-29 06:30:04 EST

*** This bug has been marked as a duplicate of bug 1059164 ***

Note You need to log in before you can comment on or make changes to this bug.